de.dhbwstuttgart.typeinference

## Class UndConstraint

- java.lang.Object
- - de.dhbwstuttgart.typeinference.constraints.UndMenge<Pair>
  - - de.dhbwstuttgart.typeinference.constraints.UndConstraint

- All Implemented Interfaces:
    KomplexeMenge<Pair>, java.lang.Iterable<Pair>

      public class UndConstraint
      extends UndMenge<Pair>
      implements java.lang.Iterable<Pair>

  Stellt ein Constraint dar, welches aus mehreren Constraint-Paaren besteht. Diese gelten alle stets gleichzeitig / sind per "Und" miteinander verknÃÂ¼pft.
  Author:
    janulrich

- - ### Field Summary

    - ### Fields inherited from class de.dhbwstuttgart.typeinference.UndMenge

      `set`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndConstraint()`
    `UndConstraint(ConstraintType p1, ConstraintType p2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConstraint(ConstraintPair constraintPair)`
    `void` | `addConstraint(ConstraintType type, ConstraintType type2)`
    `java.util.Iterator<Pair>` | `iterator()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.dhbwstuttgart.typeinference.UndMenge

      `addItem, addItems, cartesianProduct, getAndSets, getItems, getOrSets`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### UndConstraint

          public UndConstraint(ConstraintType p1,
                               ConstraintType p2)

    - #### UndConstraint

          public UndConstraint()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `UndMenge<Pair>`

    - #### iterator

          public java.util.Iterator<Pair> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<Pair>`

    - #### addConstraint

          public void addConstraint(ConstraintType type,
                                    ConstraintType type2)

    - #### addConstraint

          public void addConstraint(ConstraintPair constraintPair)